#ifndef KYSEC_FTYPE_H
#define KYSEC_FTYPE_H

/**
 * @brief kysec文件类型
 */
typedef enum kysec_file_type {
	program_file = 0,	/**< 可执行程序 */
	library_file,		/**< 共享库 */
	script_file,		/**< 可执行脚本 */
	kmodule_file,		/**< 内核模块 */
	other_file,		/**< 其他类型 */
	link_file,		/**< 链接文件 */
} kysec_file_type_t;

static const char * const kysec_file_types_str[] = {
	"program",
	"library",
	"script",
	"kmodule",
	"other",
	"link",
};

#ifdef __cplusplus
extern "C" {
#endif

/**
 * @brief 解析文件类型
 *
 * @param[in] path 要解析的文件路径
 *
 * @return  返回解析出的文件类型 @see kysec_file_type
 */
extern int parse_file_type(const char *path);

#ifdef __cplusplus
}
#endif

#endif /* KYSEC_FTYPE_H */
