#ifndef KYSEC_LOG_H
#define KYSEC_LOG_H

enum kysec_log_type {
	KYSECLOG_LIB_KYSEC = 0,		/* libkysec */
	KYSECLOG_LIB_EXTEND,		/* libkysec_extend */
	KYSECLOG_LIB_KYSECWHLIST,	/* libkysecwhlist */
	KYSECLOG_LIB_CORE,		/* libkysec_core */
	KYSECLOG_LIB_ADV,		/* libkysec_adv */
	KYSECLOG_CMD_SETSTATUS = 5,	/* setstatus */
	KYSECLOG_CMD_GETSTATUS,		/* getstatus */
	KYSECLOG_CMD_KYSEC,		/* kysec */
	KYSECLOG_CMD_SYNC,		/* kysec-sync */
	KYSECLOG_CMD_SYNC_DAEMON,	/* kysec-sync-daemon */
	KYSECLOG_CMD_DAEMON,		/* kysec-daemon */
	KYSECLOG_CMD_AUTH,		/* kysec_auth */
	KYSECLOG_CMD_KMOD = 12,		/* kysec_kmod */
	KYSECLOG_CMD_KSC_DEFENDER = 13,	/* ksc_defender	*/
	KYSECLOG_CMD_KSC_DEFENDER_DAEMON = 14,	/* ksc_defender_daemon	*/
	KYSECLOG_LOG,
	KYSECLOG_LIB_LOG,
	KYSECLOG_MAX			/* kysec log max type, limited value */
};

#ifdef __cplusplus
extern "C" {
#endif

/* kysec日志记录接口
 * @type: 取值kysec_log_type枚举
 * @op: 指添加、删除、更新白名单等具体操作，该字符串长度不能超过100
 * @obj: 指当前的操作对象，该字符串长度不能超过PATH_MAX
 * @format: 指具体的失败信息，或想要记录的任何信息均可，该字符串长度不能超过1024
 */
void kysec_log(int type, char *op, char *obj, char *format, ...);

#ifdef __cplusplus
}
#endif

#endif /* KYSEC_LOG_H */
